Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 606800 - hibernate fails to allocate memory
hibernate fails to allocate memory
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: pm-utils (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-22 10:12 EDT by long
Modified: 2010-09-13 03:27 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-13 03:27:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pm-suspend.log (5.23 KB, text/plain)
2010-06-22 10:12 EDT, long
no flags Details
/var/log/messages (99.11 KB, text/plain)
2010-06-22 10:14 EDT, long
no flags Details
dmesg output (58.19 KB, text/plain)
2010-06-22 10:15 EDT, long
no flags Details

  None (edit)
Description long 2010-06-22 10:12:10 EDT
Created attachment 425939 [details]
pm-suspend.log

Description of problem:
Have system set to hibernate after a period of inactivity.  Some times it fails to hibernate complaining about memory problems.  Various logs are attached

Version-Release number of selected component (if applicable):
pm-utils-1.2.6.1-1.fc13.x86_64

How reproducible:
50% of time.

Steps to Reproduce:
1. wait until system tries to hibernate on its own
2.
3.
  
Actual results:
system does not hibernate but keeps running

Expected results:
system hibernates

Additional info:
Comment 1 long 2010-06-22 10:14:45 EDT
Created attachment 425945 [details]
/var/log/messages
Comment 2 long 2010-06-22 10:15:52 EDT
Created attachment 425946 [details]
dmesg output
Comment 3 Jaroslav Škarvada 2010-08-25 09:38:35 EDT
Looks like the kernel cannot allocate enough memory to suspend. AFAIK there should be half of memory free before suspend, if there is not enough memory the kernel should swap to make a room. Maybe you have a lot of memory mlocked (not allowed to swap)? If yes - increase your RAM or do not use the software mlocking your memory.
Comment 4 long 2010-08-27 10:48:52 EDT
This is not currently happening (different hibernation failure now) but I have to say if this is the way it really works that is completely user unfriendly and almost worthless.  User shouldn't have to care what their memory usage is.
Comment 5 Jaroslav Škarvada 2010-08-27 11:47:29 EDT
That's from design. You need not care, mostly the kernel manages this correctly. The only thing you can not is to mlock more than 1/2 of memory. For more details please see kernel documentation - /usr/share/doc/kernel-doc*/Documentation/powers/swsusp.txt). The mlocked memory can not be swapped. If you need to have so much memory resident you should consider upgrading your memory.

There is nothing to fix in pm-utils, that's all kernel stuff.
Comment 6 Jaroslav Škarvada 2010-09-13 03:27:13 EDT
Not pm-utils bug.

Note You need to log in before you can comment on or make changes to this bug.